<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class ModalController extends Controller
{
    public function showModal(Request $request){
        $inputData = $request->all();

        if( $inputData['type'] == 'SUPPORT_MODAL_VIEW'){
            return view('partials.modals.support_modal');
        }
        if($inputData['type'] == 'PROFILE_IMAGE_MODAL_VIEW'){
            return view('partials.modals.image_view_modal');
        }
        if($inputData['type'] == 'FIRST_TIME_LOGIN_MODAL_VIEW'){
            setSession('is_first_time_login',false);
            return view('partials.modals.first_time_login_modal');
        }
        if($inputData['type'] == 'PAYMENT_MODAL_VIEW'){
            return view('partials.modals.payment_modal');
        }
        if($inputData['type'] == 'UPLOAD_DOC_MODAL'){
            return view('partials.modals.upload_doc_modal');
        }
        if($inputData['type'] == 'COMMON_MODAL'){
            return view('partials.modals.common_modal',compact('inputData'));
        }
        if($inputData['type'] == 'RECURRING_VIEW_MODAL'){
            return view('partials.modals.recurring_modal');
        }




    }
}
